<ART ID="10224" PID="2529" JID="140" BPAGE="3835" EPAGE="3851" PII="S0217979211102241" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2011">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Research Papers</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>HASH FUNCTION CONSTRUCTION BASED ON THE CHAOTIC LOOK-UP TABLE WITH CHANGEABLE PARAMETER</MTI>
<RTI>Hash Function Construction Based on Chaotic Look-Up Table</RTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>YANTAO</FNM>
<SNM>LI</SNM>
<EAD>yantaoli@foxmail.com</EAD>
<EAD>liyantao@live.com</EAD>
<X-REF REFID="S0217979211102241FN001"></X-REF>
<X-REF REFID="S0217979211102241AF001"></X-REF>
</AUT>
<FTN ID="S0217979211102241FN001">
<P>Corresponding author.</P></FTN>
<AUT>
<FNM>DI</FNM>
<SNM>XIAO</SNM>
<EAD>xiaodi_cqu@hotmail.com</EAD>
<X-REF REFID="S0217979211102241AF001"></X-REF>
</AUT>
<AUT>
<FNM>SHAOJIANG</FNM>
<SNM>DENG</SNM>
<EAD>sj_deng@cqu.edu.cn</EAD>
<X-REF REFID="S0217979211102241AF001"></X-REF>
</AUT>
<AFF ID="S0217979211102241AF001">College of Computer Science, Chongqing University, Chongqing 400044, <CNY>China</CNY></AFF>
</A-GRP>
<HIST>
<RE>21 May 2009</RE>
<RV>29 August 2011</RV>
</HIST>
<ABST>
<P>In this paper, we propose an algorithm for one-way hash function construction based on the chaotic look-up table with changeable parameter. First, the original message with padding is divided into block messages as groups and then further broken into sub-block messages, which are translated into corresponding ASCII codes by groups. Then the group ASCII codes are successively inputted into the chaotic look-up table updated by changeable parameter to permute corresponding values. Finally, based on the calculation of the values, 128-bit hash value is generated. Performance analysis indicates that our proposed algorithm satisfies sensitive requirements and can resist all kinds of attacks.</P>
</ABST>
<KWDG>
<KWD>Chaos</KWD>
<KWD>tent map</KWD>
<KWD>look-up table</KWD>
<KWD>hash function</KWD>
<KWD>changeable parameter</KWD>
</KWDG>
</FRONT>
</ART>
