<ART ID="10088" PID="2529" JID="140" BPAGE="4029" EPAGE="4037" PII="S0217979211100886" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2011">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Research Papers</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>REACTIVITY AND STABILITY OF OXYGEN VACANCIES ON <F><RM>TiO</RM><INF>2</INF></F> ANATASE (101) SURFACE:</MTI>
<RTI>Reactivity and Stability of Oxygen Vacancies on <F><RM>TiO</RM><INF>2</INF></F> Anatase Surface</RTI>
<STI>FIRST-PRINCIPLES CALCULATIONS</STI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>QILI</FNM>
<SNM>CHEN</SNM>
<X-REF REFID="S0217979211100886AF001"></X-REF>
<X-REF REFID="S0217979211100886AF002"></X-REF>
</AUT>
<AUT>
<FNM>CHAOQUN</FNM>
<SNM>TANG</SNM>
<EAD>cqtang@public.wh.hb.cn</EAD>
<X-REF REFID="S0217979211100886AF001"></X-REF>
</AUT>
<AUT>
<FNM>BO</FNM>
<SNM>LI</SNM>
<X-REF REFID="S0217979211100886AF003"></X-REF>
</AUT>
<AUT>
<FNM>GUANG</FNM>
<SNM>ZHENG</SNM>
<X-REF REFID="S0217979211100886AF002"></X-REF>
</AUT>
<AUT>
<FNM>KAIHUA</FNM>
<SNM>HE</SNM>
<X-REF REFID="S0217979211100886AF002"></X-REF>
</AUT>
<AFF ID="S0217979211100886AF001">Department of Physics, Huazhong University of Science and Technology, Wuhan 430074, <CNY>P. R. China</CNY></AFF>
<AFF ID="S0217979211100886AF002">School of Mathematics and Physics, China University of Geosciences, Wuhan 430074, <CNY>P. R. China</CNY></AFF>
<AFF ID="S0217979211100886AF003">College of Engineering and Electronics, China University of Geosciences, Wuhan 430074, <CNY>P. R. China</CNY></AFF>
</A-GRP>
<HIST>
<RE>1 December 2007</RE>
<RV>2 October 2009</RV>
</HIST>
<ABST>
<P>In this study, density-functional theory plane-wave pseudopotential method was employed to investigate several oxygen vacancies on <F><RM>TiO</RM><INF>2</INF></F> anatase (101) surface. At first, a suitable defect-free slab model has been established by analyzing the surface energies and the atomic relaxations influenced by different technical parameters. The formation energies of different kinds of oxygen vacancies in the outermost layer have also been compared as well as the atomic displacement of the defective surfaces. It was found that the presence of bridging oxygen vacancy is more energetically favored and causes larger atomic displacement than other types of surface oxygen vacancies. The reactivity of oxygen vacancies has also been tested by both molecular and dissociated oxygen adsorption. Furthermore, we discussed the configurations and the electronic properties of <F><RM>O</RM><INF>2</INF></F>-adsorbed surface, and found that the appearance of oxygen adsorbate-induced states in the band gap can make the surface sensitive to visible light.</P>
</ABST>
<KWDG>
<KWD>First-principles calculation</KWD>
<KWD>anatase (101) surface</KWD>
<KWD>oxygen vacancy</KWD>
<KWD>oxygen adsorption</KWD>
</KWDG>
</FRONT>
</ART>
