<ART ID="10093" PID="2529" JID="140" BPAGE="3911" EPAGE="3925" PII="S021797921110093X" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2011">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Research Papers</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>FIRST-PRINCIPLES STUDY OF STRUCTURAL AND ELECTRONIC PROPERTIES OF ALKALI METAL CHALCOGENIDES: <F>M<INF>2</INF><RM>CH</RM></F> [<F>M</F>: LI, NA, K, RB; CH: O, S, SE, TE]</MTI>
<RTI>First-Principles Study of Alkali Metal Chalcogenides</RTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>S. M.</FNM>
<SNM>ALAY-E-ABBAS</SNM>
<X-REF REFID="S021797921110093XAF001"></X-REF>
</AUT>
<AUT>
<FNM>N.</FNM>
<SNM>SABIR</SNM>
<X-REF REFID="S021797921110093XAF001"></X-REF>
</AUT>
<AUT>
<FNM>Y.</FNM>
<SNM>SAEED</SNM>
<X-REF REFID="S021797921110093XAF001"></X-REF>
</AUT>
<AUT>
<FNM>A.</FNM>
<SNM>SHAUKAT</SNM>
<EAD>Schaukat@gmail.com</EAD>
<X-REF REFID="S021797921110093XFN001"></X-REF>
<X-REF REFID="S021797921110093XAF001"></X-REF>
<X-REF REFID="S021797921110093XAF002"></X-REF>
</AUT>
<FTN ID="S021797921110093XFN001">
<P>Present address.</P></FTN>
<AFF ID="S021797921110093XAF001">Department of Physics, GC University Faisalabad, Allama Iqbal Road, Faisalabad, Punjab 38000, <CNY>Pakistan</CNY></AFF>
<AFF ID="S021797921110093XAF002">Department of Physics, University of Sargodha, Sargodha 40100, <CNY>Pakistan</CNY></AFF>
</A-GRP>
<HIST>
<RE>22 June 2009</RE>
</HIST>
<ABST>
<P>Ground-state structural properties of alkali metal selenides and tellurides <F>(M<INF>2</INF>X)</F> [<F>M</F>: Li, Na, K, Rb; <F>X</F>: Se, Te] have been studied in the framework of density functional theory for the first time using local density approximation, Perdew&#x2013;Burke&#x2013;Ernzerhof generalized gradient approximation (GGA) and Wu&#x2013;Cohen (WC) GGA parameterization schemes. Also structural properties of alkali metal oxides and sulfides <F>(M<INF>2</INF>X)</F> [<F>M</F>: Li, Na, K, Rb; <F>X</F>: O, S] have been reinvestigated using WC GGA. Electronic band structures of alkali metal chalcogenide compounds have been calculated using the aforementioned schemes as well as the modified GGA proposed by Engel and Vosko. The calculated structural parameters for all 16 materials have been compared with earlier theoretical and experimental results, and certain trends are discussed. Furthermore, electronic density of states for these compounds has also been presented herein and behavior in electronic properties analyzed. Li, K and Rb chalcogenides have been found to have indirect bandgap, whereas Na chalcogenides appear to have direct bandgap.</P>
</ABST>
<KWDG>
<KWD>Alkali metal chalcogenides</KWD>
<KWD>first principles calculations</KWD>
<KWD>structural and electronic properties</KWD>
<KWD>generalized gradient approximations</KWD>
</KWDG>
</FRONT>
</ART>
