<ART ID="10127" PID="2529" JID="140" BPAGE="3905" EPAGE="3910" PII="S0217979211101272" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2011">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Research Papers</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>CALCULATION OF ISODOSE CURVES FOR CCA AND CCB CONCAVE EYE APPLICATORS</MTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>ALI ASGHAR</FNM>
<SNM>MOWLAVI</SNM>
<EAD>amowlavi@sttu.ac.ir</EAD>
<X-REF REFID="S0217979211101272AF001"></X-REF>
</AUT>
<AUT>
<FNM>MAJED</FNM>
<SNM>YAZDANI</SNM>
<EAD>majed_yazdani@yahoo.com</EAD>
<X-REF REFID="S0217979211101272AF001"></X-REF>
</AUT>
<AFF ID="S0217979211101272AF001">Physics Department, Sabzevar Tarbiat Moallem University, Sabzevar, <CNY>Iran</CNY></AFF>
</A-GRP>
<HIST>
<RE>26 March 2009</RE>
<RV>19 November 2009</RV>
</HIST>
<ABST>
<P>BEBIG Ruthenium-106 ophthalmic plaques have been used for treatment of uveal melanoma, retinoblastoma, melanoma of the iris and other special applications for more than 30 years. The plaques consist of a thin film of Ru-106, a beta emitter encapsulated in pure silver. Simulations of small concave applicators CCA and CCB, manufactured by Bebig, were performed using Monte Carlo MCNP4C code which allows for description of the applicator (geometry and materials) in detail. Electrons are emitted from the <SUP>106</SUP><RM>Ru</RM> nuclei isotropically with initial energy randomly sampled from the corresponding Fermi spectra and with initial positions uniformly distributed on the radioactive layer. In this work, relative doses were calculated in soft tissue phantom near the active layer. Isodose curves for CCA and CCB eye applicators were determined. Our calculated data agrees well with the measured phantom data reported in literature.</P>
</ABST>
<KWDG>
<KWD>Concave eye applicators CCA and CCB</KWD>
<KWD><SUP>106</SUP><RM>Ru</RM> eye plaques</KWD>
<KWD>dose distribution</KWD>
<KWD>isodose curves</KWD>
<KWD>Monte Carlo MCNP4C code</KWD>
</KWDG>
</FRONT>
</ART>
