<ART ID="10149" PID="2529" JID="140" BPAGE="3853" EPAGE="3861" PII="S0217979211101491" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2011">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Research Papers</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>HOW <F><RM>Ge</RM></F> DOPING AFFECTS THE SUPERCONDUCTING PROPERTIES OF <F>(<RM>Cu</RM>, <RM>Tl</RM>)</F>-1234 SUPERCONDUCTORS</MTI>
<RTI>How <F><RM>Ge</RM></F> Doping Affects <F>(<RM>Cu</RM>, <RM>Tl</RM>)</F>-1234 Superconductors</RTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>M.</FNM>
<SNM>IRFAN</SNM>
<EAD>irfanphy@yahoo.com</EAD>
<X-REF REFID="S0217979211101491AF001"></X-REF>
</AUT>
<AUT>
<FNM>NAWAZISH A.</FNM>
<SNM>KHAN</SNM>
<EAD>nawazishalik@yahoo.com</EAD>
<X-REF REFID="S0217979211101491AF001"></X-REF>
</AUT>
<AFF ID="S0217979211101491AF001">Materials Science Laboratory, Department of Physics, Quaid-i-Azam University, Islamabad 45320, <CNY>Pakistan</CNY></AFF>
</A-GRP>
<HIST>
<RE>2 September 2009</RE>
<RV>7 June 2010</RV>
</HIST>
<ABST>
<P><F><RM>Ge</RM></F>-doped <F>(<RM>Cu</RM><INF>0.5</INF><RM>Tl</RM><INF>0.5</INF>)<RM>Ba</RM><INF>2</INF><RM>Ca</RM><INF>3</INF>(<RM>Cu</RM><INF>4-y</INF><RM>Ge</RM><INF>y</INF>)<RM>O</RM><INF>12-&#x03B4;</INF></F> (<F>y = 0</F>, 0.3, 0.6 and 0.9) superconductors have been synthesized at normal pressure through solid state reaction method. <F><RM>Ge</RM></F> has been doped in the <F><RM>CuO</RM><INF>2</INF></F> planes constituting the superconducting block of these structures. In the as-prepared samples, a suppression of the critical temperature is observed with increased <F><RM>Ge</RM></F> concentration. The suppression of the critical temperature can be attributed to the decreased number of carriers due to their localization at <F><RM>Ge</RM><SUP>4+</SUP></F> ions. <F><RM>Ge</RM></F>-doped post-annealed samples have shown enhancement in the critical temperature as well as magnitude of diamagnetism. Oxygen annealing seems to have replenished the charge carries through the process of hole doping in <F><RM>CuO</RM><INF>2</INF>/<RM>GeO</RM><INF>2</INF></F> planes, thereby bringing the carrier density closer to the optimum level. Oxygen related phonon modes have also been investigated. A shift in peak positions of the apical and planar oxygen related modes have been observed while modes associated with <F><RM>O</RM><INF>&#x03B4;</INF></F> oxygen atoms seem stable in both cases of <F><RM>Ge</RM></F> doping and oxygen annealing.</P>
</ABST>
<KWDG>
<KWD>Superconductors</KWD>
<KWD><F><RM>CuO</RM><INF>2</INF></F> planes</KWD>
<KWD>annealing</KWD>
</KWDG>
<KWDG CLASS="PACS">
<KWD>72.76.-w</KWD>
<KWD>74.76.-Bz</KWD>
<KWD>74.72.-Jt</KWD>
</KWDG>
</FRONT>
</ART>
