<ART ID="10170" PID="2529" JID="140" BPAGE="3881" EPAGE="3892" PII="S0217979211101703" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2011">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Research Papers</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>EFFECT OF <F><RM>Al</RM><SUP>3+</SUP></F> DOPING ON MAGNETIC AND DIELECTRIC PROPERTIES OF <F><RM>Ni</RM></F>&#x2013;<F><RM>Zn</RM></F> FERRITES BY "ONE-STEP SYNTHESIS"</MTI>
<RTI>Effect Of <F><RM>Al</RM><SUP>3+</SUP></F> Doping on Magnetic and Dielectric Properties</RTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>H. L.</FNM>
<SNM>GE</SNM>
<EAD>ghl2303202@gmail.com</EAD>
<X-REF REFID="S0217979211101703AF001"></X-REF>
</AUT>
<AUT>
<FNM>Z. J.</FNM>
<SNM>PENG</SNM>
<EAD>pengzhiijian@cugb.edu.cn</EAD>
<X-REF REFID="S0217979211101703FN001"></X-REF>
<X-REF REFID="S0217979211101703AF001"></X-REF>
</AUT>
<FTN ID="S0217979211101703FN001">
<P>Corresponding author.</P></FTN>
<AUT>
<FNM>C. B.</FNM>
<SNM>WANG</SNM>
<EAD>cbwang@cugb.edu.cn</EAD>
<X-REF REFID="S0217979211101703AF001"></X-REF>
</AUT>
<AUT>
<FNM>Z. Q.</FNM>
<SNM>FU</SNM>
<EAD>fuzq@cugb.edu.cn</EAD>
<X-REF REFID="S0217979211101703AF001"></X-REF>
</AUT>
<AFF ID="S0217979211101703AF001">School of Engineering and Technology, China University of Geosciences at Beijing, Road Xueyuan, District Haidian, Beijing 100083, <CNY>P. R. China</CNY></AFF>
</A-GRP>
<HIST>
<RE>9 June 2009</RE>
<RV>28 August 2010</RV>
</HIST>
<ABST>
<P><F><RM>Al</RM><SUP>3+</SUP></F>-doped <F><RM>Ni</RM></F>&#x2013;<F><RM>Zn</RM></F> ferrites with composition of <F><RM>Ni</RM><INF>0.5</INF><RM>Zn</RM><INF>0.5</INF>(<RM>Fe</RM><INF>1-x</INF><RM>Al</RM><INF>x</INF>)<INF>2</INF><RM> O</RM><INF>4</INF></F> (where <F>x = 0</F>, 0.012, 0.023, 0.035 and 0.045) were prepared by a method named "one-step synthesis." The magnetic and dielectric properties of the as-prepared <F><RM>Ni</RM></F>&#x2013;<F><RM>Zn</RM></F> ferrites were investigated. X-ray diffraction data indicated that all the ferrite samples had a single-phase spinel structure. The addition of <F><RM>Al</RM><SUP>3+</SUP></F> resulted in a reduction of the grain size, lattice constant, density, shrinkage and saturation magnetization of the as-prepared samples. The Curie temperatures, however, raised first and reduced later with increasing contents of <F><RM>Al</RM><SUP>3+</SUP></F> in the samples, but still kept high values. Both the real and imaginary parts of permeability of ferrites decreased with increasing amount of <F><RM>Al</RM><SUP>3+</SUP></F> doped before they reached peak value. As the applied frequency increased to higher than about 10 MHz, the real part of permeability of non-doped ferrite had already become lower than those of ferrites doped with <F><RM> Al</RM><SUP>3+</SUP></F>. Moreover, the doping of <F><RM>Al</RM><SUP>3+</SUP></F> made their utility of magnetic permeability move to much higher frequency. The observed decreases in dielectric constants and dielectric loss tangent could be attributed to the decreased electron conductivity by substituting <F><RM>Fe</RM><SUP>3+</SUP></F> with <F><RM>Al</RM><SUP>3+</SUP></F> in the samples. The as-prepared high-performance soft magnetic materials prepared using such a simple and low-cost method will be much promising in high-frequency applications and industrialization.</P>
</ABST>
<KWDG>
<KWD><F><RM>Ni</RM></F>&#x2013;<F><RM>Zn</RM></F> ferrite</KWD>
<KWD>doping</KWD>
<KWD>one-step synthesis</KWD>
<KWD>permeability</KWD>
<KWD>permittivity</KWD>
</KWDG>
</FRONT>
</ART>
