<ART ID="10174" PID="2529" JID="140" BPAGE="4007" EPAGE="4020" PII="S0217979211101740" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2011">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Research Papers</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>THEORY OF THE CARRIER FERMI ENERGY AND DENSITY OF STATES OF <F>n</F>- and <F>p</F>-TYPE <F><RM>SnTe</RM></F></MTI>
<RTI>Fermi Energy and DOS of <F>n-</F> and <F>p</F>-type SnTe</RTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>R. K.</FNM>
<SNM>DAS</SNM>
<EAD>rkdas2222@gmail.com</EAD>
<X-REF REFID="S0217979211101740AF001"></X-REF>
</AUT>
<AFF ID="S0217979211101740AF001">Department of Physics, Gopalpur College, Gopalpur-on-sea 761 002, Orissa, <CNY>India</CNY></AFF>
<AUT>
<FNM>S.</FNM>
<SNM>MOHAPATRO</SNM>
<X-REF REFID="S0217979211101740FN001"></X-REF>
<X-REF REFID="S0217979211101740AF002"></X-REF>
</AUT>
<FTN ID="S0217979211101740FN001">
<P>Current address: Department of Telecommunications, BSNL, Bhubaneswer, 751 018, Orissa, India.</P></FTN>
<AFF ID="S0217979211101740AF002">Department of Physics, Berhampur University, Berhampur 760 007, Orissa, <CNY>India</CNY></AFF>
</A-GRP>
<HIST>
<RE>16 October 2009</RE>
<RV>16 November 2009</RV>
</HIST>
<ABST>
<P>In the present work we theoretically develop a <F><B>k</B>&#x22C5;<B>&#x03C0;</B></F> model to calculate the carrier electronic structure for both <F>n</F>- and <F>p</F>-type <F><RM>SnTe</RM></F>. Here <F><B>&#x03C0;</B></F> is the momentum operator in the presence of the spin&#x2013;orbit interaction. The work is an extension of the theory developed for <F>n</F>- and <F>p</F>-<F><RM>PbTe</RM></F> earlier by one of the authors to evaluate the Fermi energy and the density of states (DOS). We consider a six-level energy basis for <F><RM>SnTe</RM></F>, as proposed by Bernick and Kleinman. One set of calculations was done by diagonalizing the <F><B>k</B>&#x22C5;<B>&#x03C0;</B></F> Hamiltonian matrix for the band-edge states and treating the far bands using perturbation theory. In the second set we have rediagonalized the <F><B>k</B>&#x22C5;<B>&#x03C0;</B></F> Hamiltonian matrix for the band edge states, treating the first diagonalization as the basis. The far bands are, as usual, included through perturbation. We have compared the results of both the sets. Results obtained for <F>n</F>- and <F>p</F>-type <F><RM>SnTe</RM></F> are also compared with that of <F>n</F>- and <F>p</F>-type <F><RM>PbTe</RM></F>. The similarities and contrasts are discussed. An indirect comparison with the DOS of the metallic tin suggests that the calculations are fairly reasonable. The results are also compared with some recent results for <F><RM>SnTe</RM></F>.</P>
</ABST>
<KWDG>
<KWD>Electronic structure</KWD>
<KWD><F><B>k</B>&#x22C5;<B>&#x03C0;</B></F> model</KWD>
<KWD>IV&#x2013;VI semiconductors</KWD>
<KWD>Fermi energy</KWD>
<KWD>density of states</KWD>
</KWDG>
<KWDG CLASS="PACS">
<KWD>71.20.Nr</KWD>
<KWD>71.20.-b</KWD>
</KWDG>
</FRONT>
</ART>
