<ART ID="10208" PID="2529" JID="140" BPAGE="3965" EPAGE="3976" PII="S0217979211102083" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2011">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD>Research Papers</ARTHEAD>
<FRONT>
<T-GRP>
<MTI>APPROXIMATING THE EFFECT OF VAN DER WAALS FORCE ON THE INSTABILITY OF ELECTROSTATIC NANO-CANTILEVERS</MTI>
<RTI>Approximating the Effect of van der Waals Force</RTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>ALI</FNM>
<SNM>KOOCHI</SNM>
<X-REF REFID="S0217979211102083AF001"></X-REF>
</AUT>
<AFF ID="S0217979211102083AF001">Engineering Group, Naein branch, Islamic Azad University, Naein, <CNY>Iran</CNY></AFF>
<AUT>
<FNM>AMINREZA</FNM>
<SNM>NOGHREHABADI</SNM>
<X-REF REFID="S0217979211102083AF002"></X-REF>
</AUT>
<AFF ID="S0217979211102083AF002">Department of Mechanical Engineering, Shahid Chamran University, P.O. Box 613574-333, Ahvaz, <CNY>Iran</CNY></AFF>
<AUT>
<FNM>MOHAMADREZA</FNM>
<SNM>ABADYAN</SNM>
<EAD>Abadyan@yahoo.com</EAD>
<X-REF REFID="S0217979211102083FN001"></X-REF>
<X-REF REFID="S0217979211102083AF003"></X-REF>
</AUT>
<FTN ID="S0217979211102083FN001">
<P>Corresponding author.</P></FTN>
<AFF ID="S0217979211102083AF003">Engineering Group, Shahrekord Branch, Islamic Azad University, Shahrekord, <CNY>Iran</CNY></AFF>
</A-GRP>
<HIST>
<RE>22 August 2009</RE>
</HIST>
<ABST>
<P>Beam-type nano-electromechanical system (NEMS) is one of the most components in constructing nano-devices. Herein, a distributed parameter model is used to study the influence of van der Waals (vdW) attraction on the pull-in performance of the cantilever NEMS. Homotopy perturbation method (HPM) is applied to solve the nonlinear governing equation of the actuators in the form of convergent series. Moreover, analytical results are compared with those of numerical method as well as a lumped parameter model. The pull-in voltage and critical cantilever tip deflection of NEMS are determined. Results depict that vdW attraction decreases the pull-in deflection and voltage of the NEMS. On the other hand, the fringing field increases the pull-in deflection while decreases the pull-in voltage of the system. The analytical results have good agreement with numerical results and those available in the literature.</P>
</ABST>
<KWDG>
<KWD>van der Waals (vdW) attraction</KWD>
<KWD>nano-electromechanical systems (NEMS)</KWD>
<KWD>homotopy perturbation method (HPM)</KWD>
<KWD>pull-in instability</KWD>
</KWDG>
</FRONT>
</ART>
